steedcrugeon

[1.3] REKT Escape Pod Mod - v0.4.5.1 (more fixes)

Recommended Posts

6 hours ago, steedcrugeon said:

Ah I think I may have sussed what it is. which version of RetractableLiftingSurface do you have installed? I can see on the GitHub release its still got 1.1. bundles but it should be 1.4 (current version). That looks like I made that mistake when putting the binaries together for release. Can you check to see if installing the 1.4v of RetractableLiftingSurface (find it here) resolves the issue?

Yes the Pitch stabiliser is very powerful, as it is large and needs to be affective in thinner atmosphere/higher altitude. It shouldn't cause blackouts, just get close to the limit.

Will check this soon.

EDIT: Yup, that was it. Thanks for helping me get that straightened out!

Edited by MaverickSawyer

Share this post


Link to post
Share on other sites

Minor update v0.4.5.1

- Fixes to KSPResucePod Validator (thanks @DStaal

- Updated bundled version of RetractableLiftingSurface

 

Share this post


Link to post
Share on other sites

Uhm... may have spoken too soon about the fix. A high-speed, low altitude test just revealed the real fault...

The ailerons are rigged in reverse when deployed...

Share this post


Link to post
Share on other sites
28 minutes ago, MaverickSawyer said:

Uhm... may have spoken too soon about the fix. A high-speed, low altitude test just revealed the real fault...

The ailerons are rigged in reverse when deployed...

Hmm, again I saw this happen in testing but though it had been resolved. I wonder..

This may be a bit extreme but can you clear out your MM cache for me, make sure that there is nothing left of RetractableLiftingSurface 1.1 in your KSP directory and then load the game again?

Share this post


Link to post
Share on other sites
5 hours ago, steedcrugeon said:

Hmm, again I saw this happen in testing but though it had been resolved. I wonder..

This may be a bit extreme but can you clear out your MM cache for me, make sure that there is nothing left of RetractableLiftingSurface 1.1 in your KSP directory and then load the game again?

BTW: Which copy of RetractableLiftingSurface should we keep from the downloaded zip: The version that's in the top-level GameData folder, or the version that's inside the SHED folder?

Share this post


Link to post
Share on other sites
11 hours ago, steedcrugeon said:

Hmm, again I saw this happen in testing but though it had been resolved. I wonder..

This may be a bit extreme but can you clear out your MM cache for me, make sure that there is nothing left of RetractableLiftingSurface 1.1 in your KSP directory and then load the game again?

Cleared and retried. Problem remains.

Share this post


Link to post
Share on other sites
18 hours ago, DStaal said:

BTW: Which copy of RetractableLiftingSurface should we keep from the downloaded zip: The version that's in the top-level GameData folder, or the version that's inside the SHED folder?

Ah yes, that's left over from a much earlier version of the OTAV. The correct RetractableLiftingSurface should be found in the GameData folder, not in the SHED folder anymore.

 

12 hours ago, MaverickSawyer said:

Cleared and retried. Problem remains.

Okay, this will require further testing. If safe to do so (as in so long as it doesn't affect any of your saves) can you go into the 'RETIRED' folder within the OTAV subfolder and remove the 'OTAVcore.cfg'.

Also check to see if there is an 'OTAVcore.cfg' lurking anywhere else in the OTAV folders. The only one you want for now is the 'OTAVcore2.cfg'.

It uses a slightly different CoP/CoL to the newer 'rektOTAVcore2' and I just want to eliminate that as a possible source of confusion.

Share this post


Link to post
Share on other sites
10 hours ago, steedcrugeon said:

Okay, this will require further testing. If safe to do so (as in so long as it doesn't affect any of your saves) can you go into the 'RETIRED' folder within the OTAV subfolder and remove the 'OTAVcore.cfg'.

Also check to see if there is an 'OTAVcore.cfg' lurking anywhere else in the OTAV folders. The only one you want for now is the 'OTAVcore2.cfg'.

It uses a slightly different CoP/CoL to the newer 'rektOTAVcore2' and I just want to eliminate that as a possible source of confusion.

I've been keeping a sandbox save around for just such times as these... :wink:

Launching to see if this clears the issue.

 

EDIT: Aaaaand nope. Ailerons still respond in an inverted fashion.

Hmm. Could part of it be that you're starting them in a retracted configuration, so the "flight computer" is acting like they're still tucked in close to the hull?

Edited by MaverickSawyer

Share this post


Link to post
Share on other sites
58 minutes ago, MaverickSawyer said:

I've been keeping a sandbox save around for just such times as these... :wink:

Launching to see if this clears the issue.

 

EDIT: Aaaaand nope. Ailerons still respond in an inverted fashion.

Hmm. Could part of it be that you're starting them in a retracted configuration, so the "flight computer" is acting like they're still tucked in close to the hull?

Does this behaviour happen when you manually control the vessel?

Share this post


Link to post
Share on other sites

Hmm, not really sure how to resolve this one. i know its a big ask but can you put a fresh install of KSP1.3 on your machine (in a separate directory) and just run it with only the REKT mod and see if it repeats this behavior?

 

Share this post


Link to post
Share on other sites
3 hours ago, Julfiwat said:

Add specific Stuff to Other mod?

like DeepFreeze or other mod?

Not sure what you mean? The only pod that would work in another Mod is the mk1c (cryo pod). This has a very different design aesthetic to the DeepFreeze mod.

If you want single pods then DeepFreeze already caters for it, if you want escape pods then that's what you get with REKT. if you want both then there's the Mk1c there's nothing to stop a player from deleting all the parts they don't want from either mod?

@MaverickSawyer I have retraced my steps on how I resolved the inverted ailerons issue on my machine. Its quite tedious so I, you need to uninstall your current KSP 1.3 install. ensuring all traced of the previous version of REKT and RetractableLiftingSurface have gone. Then re-install 1.3 and the current versions of both mods.

I'm sorry its not more helpful. :blush:

 

Share this post


Link to post
Share on other sites
11 hours ago, John007qwe said:

Hi the v0.4.5.1 update is not showing on ckan. It's still on v0.4.4

I'm not sure how long it takes for Updates to permeate through to CKAN (I don't use it and have no direct influence over it). The main release .version file has been updated so CKAN should pick it up eventually? although that is still currently set to 0.4.5

Share this post


Link to post
Share on other sites
1 hour ago, steedcrugeon said:

I'm not sure how long it takes for Updates to permeate through to CKAN (I don't use it and have no direct influence over it). The main release .version file has been updated so CKAN should pick it up eventually? although that is still currently set to 0.4.5

Well something weird is going on. I checked the github download and the files don't match the files I have downloaded through ckan at all. 

The ckan download of v0.4.4 only consists of 4 files in the folder called "REKT-mk1a"

jgXhYr7.png

While the v0.4.4 and v0.4.5.1 from github consists of a folder called "SHED" with all of these files

FdzQw3J.png

As for the update not showing on ckan, could it be because the .version doesn't have a ksp_version_min + ksp_version_max and only a ksp_version?

Share this post


Link to post
Share on other sites
4 minutes ago, John007qwe said:

Well something weird is going on. I checked the github download and the files don't match the files I have downloaded through ckan at all. 

The ckan download of v0.4.4 only consists of 4 files in the folder called "REKT-mk1a"

jgXhYr7.png

While the v0.4.4 and v0.4.5.1 from github consists of a folder called "SHED" with all of these files

FdzQw3J.png

As for the update not showing on ckan, could it be because the .version doesn't have a ksp_version_min + ksp_version_max and only a ksp_version?

Well that's just weird, I have no idea why CKAN has done that, but then I don't really understand CKAN fully. I have not really offered proper support for it on that basis.I point to Github as the primary source for My Mods as it is always the most up to date, all SpaceDock downloads are derived from the Github master. At this present time 0.4.5.1 release on Github is the one to download, so I'd just skip the middle man of CKAN and grab it there.

DStaal has done a lot of sanitising in readiness for the next release (the SHED Directory is due to undergo yet another overhaul) which will no doubt cause even more problems with CKAN.

Form what I have read I was of the understanding that max and min compatibility was optional.

 

Share this post


Link to post
Share on other sites
1 minute ago, steedcrugeon said:

so I'd just skip the middle man of CKAN and grab it there.

Yeah that's always an option, but I'm sure you could imagine the pain of having 150+ mods installed (like I do) and then having to manually check for updates! So I really hope you get it sorted out in the future :) 

Share this post


Link to post
Share on other sites
3 minutes ago, John007qwe said:

Yeah that's always an option, but I'm sure you could imagine the pain of having 150+ mods installed (like I do) and then having to manually check for updates! So I really hope you get it sorted out in the future :) 

Does the Mini-AVC not ask for updates? I'd hoped that would do the Version Update checking bits?

Share this post


Link to post
Share on other sites
5 minutes ago, steedcrugeon said:

Does the Mini-AVC not ask for updates? I'd hoped that would do the Version Update checking bits?

True, but not every mod uses it. I'd still have to check up on those. However as long as a mod is either on ckan or has mini-avc then it's all good. Still though, ckan is so convenient :) 

Edited by John007qwe

Share this post


Link to post
Share on other sites
49 minutes ago, John007qwe said:

True, but not every mod uses it. I'd still have to check up on those. However as long as a mod is either on ckan or has mini-avc then it's all good. Still though, ckan is so convenient :) 

I've found that most mods even if they don't include Mini-AVC will support the full AVC.  (The difference is basically whether they include the mini-avc.dll file in their install.)  Though I'll admit still not all.

Share this post


Link to post
Share on other sites

For TAC LS, the REKT Mk1A pod only carries Oxygen and Electricity, which can't support a Kerbal without external tanks that have water, food, and waste. Also the same for USI LS, with nothing in the pods for the Kerbal's survival. I hope you get to fixing this soon, that way I can use these pods to the fullest!

Share this post


Link to post
Share on other sites

Hi steedcrugeon,

just a report, both the REKT mod and the PicoPort mod share the SHEDAgency.cfg file, but the files are a bit different, so the last one that is getting installed overwrites the previous.

Share this post


Link to post
Share on other sites
2 hours ago, basepart said:

Hi steedcrugeon,

just a report, both the REKT mod and the PicoPort mod share the SHEDAgency.cfg file, but the files are a bit different, so the last one that is getting installed overwrites the previous.

Hmm, interesting one. I have just had a look at the current versions for both (Localised) and there should not be a conflict. Where did you download from?

 

5 hours ago, The Aviator Gaming said:

For TAC LS, the REKT Mk1A pod only carries Oxygen and Electricity, which can't support a Kerbal without external tanks that have water, food, and waste. Also the same for USI LS, with nothing in the pods for the Kerbal's survival. I hope you get to fixing this soon, that way I can use these pods to the fullest!

Hmm that's definitely not right as @overkill13 wrote a really good TAC-LS patch which was incorporated into the current version. Can you tell me what version of REKT you have installed and where you downloaded it?

Share this post


Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.